-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- any later version.
   
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
   
-- You should have received a copy of the GNU General Public License
-- along with this program. If not, see http://www.gnu.org/licenses/.

-----------------------------------------------------------------------

-- Written by Wesley "keyboard monkey" Werner 2015
-- https://github.com/wesleywerner/

-- module unit test runner

cutter = require("cutter")
cutter.test()

function love.load()
    box1 = cutter.cut(0.5, 0.5, "center")
    box2 = cutter.cut(1, 0.5, "bottom", box1)
    box3 = cutter.cut(0.5, 1, "left", box2)
end

function love.draw()
    
    love.graphics.print("Hit <space> to enter interactive mode.")
    
    love.graphics.setColor(100, 100, 255)
    love.graphics.rectangle("fill", 
        box1.x, 
        box1.y, 
        box1.width, 
        box1.height)

    love.graphics.setColor(100, 255, 100)
    love.graphics.rectangle("fill", 
        box2.x, 
        box2.y, 
        box2.width, 
        box2.height)

    love.graphics.setColor(255, 100, 100)
    love.graphics.rectangle("fill", 
        box3.x,
        box3.y, 
        box3.width, 
        box3.height)

end

function love.keypressed(key)
    if key == "escape" then
        love.event.quit()
    elseif key == " " then
        require("interactive")
    end
end
